﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[SUPMAS]') AND name = N'XSUPMAS1')
BEGIN 
PRINT 'Creating index XSUPMAS1 on table SUPMAS'
CREATE UNIQUE NONCLUSTERED INDEX [XSUPMAS1] ON [dbo].[SUPMAS] 
(
	[ALPH] ASC,
	[SUPN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPMAS' AND COLUMN_NAME = 'DELC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPMAS_DELC')
BEGIN 
    PRINT 'Creating default constraint DF_SUPMAS_DELC on table SUPMAS' 
    ALTER TABLE [dbo].[SUPMAS]
    ADD CONSTRAINT [DF_SUPMAS_DELC] DEFAULT ((0)) FOR [DELC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPMAS' AND COLUMN_NAME = 'QFLG' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPMAS_QFLG')
BEGIN 
    PRINT 'Creating default constraint DF_SUPMAS_QFLG on table SUPMAS' 
    ALTER TABLE [dbo].[SUPMAS]
    ADD CONSTRAINT [DF_SUPMAS_QFLG] DEFAULT ((0)) FOR [QFLG]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPMAS' AND COLUMN_NAME = 'PalletCheck' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPMAS_PalletCheck')
BEGIN 
    PRINT 'Creating default constraint DF_SUPMAS_PalletCheck on table SUPMAS' 
    ALTER TABLE [dbo].[SUPMAS]
    ADD CONSTRAINT [DF_SUPMAS_PalletCheck] DEFAULT ((0)) FOR [PalletCheck]
END 
GO

